2000-08-01  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, Input/flx/flx_codec.c, acconfig.h, configure.in:
	- Added more functions in flx codec

	* Output/X11/x11_renderer.c, src/skins_draw_digits.c, src/types.h, src/xmps.c, src/xmps_adapter.c, Output/SDL/sdl_renderer.c, CREDITS, configure.in:
	- Some bugfixes
	- Flc codec types

	* Input/flx/Makefile.am, Input/flx/flx_codec.c, Input/flx/flx_codec.h, Input/smpeg/smpeg_codec.c, Input/Makefile.am:
	- FLX codec added

2000-07-31  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Makefile.am, src/plugin.h, src/scanplugins.c, src/scanplugins.h, src/skins_draw_digits.c, src/skins_draw_playlist.c, src/types.h, src/xmps.c, src/xmps_about.c, src/xmps_adapter.c, src/xmps_dir_browser.c, src/xmps_dir_browser.h, src/xmps_install.c, src/xmps_playlist.c, src/xmps_prefs.c, src/xmps_skin_browser.c, src/xmps_skin_browser.h, src/xmps_skins.c, Output/SDL/sdl_renderer.c, Output/SDL/sdl_renderer.h, Output/X11/Makefile.am, Output/X11/x11_renderer.c, Output/X11/x11_renderer.h, CREDITS, Input/smpeg/smpeg_codec.c, Makefile.am, configure.in:
	- Commend line args embryo.
	- _Many_ bugs corrected
	- Fixed errors when switching renderers
	- Cleaned up code.

2000-07-22  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, Output/X11/x11_renderer.c:
	- Corrected a bug in x11 renderer

	* Input/smpeg/Makefile.am:
	_ Fixed last include bug.

	* src/plugin.h, Output/SDL/Makefile.am, Output/SDL/sdl_renderer.c, po/POTFILES.in, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_config.c, configure.in:
	- Fixed some includes problems due to libxmps

	* src/Attic/xmps_config.c, src/Attic/xmps_config.h, src/Attic/xmps_support.c, src/Attic/xmps_support.h, src/Makefile.am, libxmps/Makefile.am, libxmps/xmps_config.c, libxmps/xmps_config.h, libxmps/xmps_support.c, libxmps/xmps_support.h, po/POTFILES.in, Makefile.am, configure.in, xmps-config.in:
	- Added a libxmps library to store xmps_support functions and configfile functions for plugins, limked using xmps-config --libs

	* src/Makefile.am, src/xmps.c, src/xmps_adapter.c, CREDITS, Makefile.am, Output/SDL/sdl_renderer.c, configure.in, xmps-config.in, xmps.m4:
	- Added support for xmps-config and xmps.m4 you can now build plugins alone.
	- Fixed lasts bugs about new codec and renderer system.

	* Input/smpeg/smpeg_codec.c:
	- Removed avi plugin (would be distributed separately.)

2000-07-18  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/X11/x11_renderer.c, Output/X11/x11_renderer.h, src/Makefile.am, src/plugin.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_adapter.c, src/xmps_adapter.h, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Output/SDL/sdl_renderer.c, Output/SDL/sdl_renderer.h, configure.in:
	- rebuit plugin system.
	- avi s broken for the moment, OpenGl renderer also (should be fixed tonight)

2000-06-24  Michał Kochanowicz  <mkochano@pld.org.pl>

	* po/fi.po, po/fr.po, po/pl.po, po/sv.po: - Updated.
	- More polish translations.

	* src/xmps_skin_browser.c: - Translation of list title.

	* src/xmps_about.c: - Added missing free().

	* src/xmps.c: - Small fixes to locale initialization.

	* po/POTFILES.in: - Added Input/avi/avi_codec.cpp

	* po/de.po, Makefile.am, configure.in:
	- Added german translation (by Bjoern Buerger <b.buerger@tu-bs.de>).

2000-06-22  Michał Kochanowicz  <mkochano@pld.org.pl>

	* src/xmps_prefs.c:
	- Added translation of renderers name and description.

	* src/xmps_about.c:
	- Program name and version assembled using sprintf. This way it can be
	  translated with gettext.

	* src/xmps.c: - Added translation of reenderers description.
	- Added translation of main menu.

	* src/scanplugins.c: - Added translation of codec description.

	* Output/OpenGL/opengl_renderer.c, Input/smpeg/smpeg_config.c, Input/smpeg/smpeg_codec.c:
	- Corrected path to "xmps_support.h".

	* Output/SDL/sdl_renderer.c: - Corrected path to "xmps_support.h".
	- Uses menu_translate().

	* Output/X11/x11_renderer.c: - Corrected path to "xmps_support.h".

	* src/Attic/xmps_support.c, src/Attic/xmps_support.h:
	- Added new function menu_translate() used by menus to translate paths.

	* po/POTFILES.in, po/fi.po, po/fr.po, po/pl.po, po/sv.po:
	- Updated to match sources.
	- Polish translation almost complete.

2000-06-18  Michał Kochanowicz  <mkochano@pld.org.pl>

	* Output/X11/x11_renderer.c, src/Attic/xmps_support.c, src/scanplugins.c, src/xmps.h, src/xmps_dir_browser.c, src/xmps_playlist.c, src/xmps_prefs.c, src/xmps_skin_browser.c, Output/OpenGL/opengl_renderer.c, Output/SDL/sdl_renderer.c, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_config.c:
	- More strings marked for translation.

	* src/xmps.c:
	- Added calls to bindtextdomain() and textdomain(), so we can set directories
	  in which it looks for translations using ./configure options.
	- More strings marked for translation.

	* po/POTFILES.in, po/fi.po, po/fr.po, po/pl.po, po/sv.po:
	- Updated to match sources.
	- More polish translations.
	- Translations doesn't show up in "Skinned Player" menu and few other places
	  for a reason unknown.  I'll take a closer look at this after exam ;)

2000-06-18  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* po/fi.po, po/fr.po, po/pl.po, po/sv.po, src/xmps.c, Output/X11/x11_renderer.c, Output/SDL/sdl_renderer.c, Input/smpeg/smpeg_codec.c, configure.in:
	- Added license where needed (still some binary issues to clear)
	- Corrected loads of bugs (list is too long ;)

2000-06-17  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/SDL/sdl_renderer.c, src/plugin.h, src/scanplugins.c, src/xmps.c, src/xmps_prefs.c, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h:
	- DivX Codec fully integrated (added seeking)

2000-06-16  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/SDL/sdl_renderer.c, Output/X11/x11_renderer.c, configure.in, xmps.spec.in:
	- Corrected a bug in SDL renderer/
	- Finalized DivX avi decoding.

	* Output/X11/Makefile.am, Output/X11/x11_renderer.c, Output/X11/x11_renderer.h, src/plugin.h, src/types.h, src/xmps.c, Output/SDL/sdl_renderer.c, Output/SDL/sdl_renderer.h, Input/Makefile.am, configure.in:
	- Added some files for the divx codec
	- GTK player window
	- Some other things (...)

	* Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Input/Makefile.am:
	- added avi win32 codec loader (DivX support) source files...

2000-06-13  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Makefile.am, fast_forward.xpm, load.xpm, pause.xpm, play.xpm, rewind.xpm, src/xmps.c, stop.xpm:
	- Added pixmaps fot the buttons of the GTK window.

2000-06-12  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/skins_pixmaps.h, src/xmps.c, src/xmps.h, configure.in:
	- Added necessary #ifdefs for the GTK player to be built only when GNOME is enabled.

	* src/Makefile.am, src/skins_pixmaps.h, src/types.h, src/xmps.c, src/xmps.h, Makefile.am, TODO, xmps-logo.xpm:
	- Added a GTK player. You may switch from the skinned player to the GTK-only player directly from the main menu. Still needs some work.

	- Added a logo too ;) Visible from GTK player...

2000-06-10  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Input/smpeg/smpeg_codec.h, src/plugin.h, src/types.h, src/xmps.c, src/xmps_skin_browser.c, Input/smpeg/smpeg_codec.c:
	- Added full track bar support (updates when playing) because SMPEG 0.4.0 is comming ;)

2000-05-19  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/X11/Makefile.am, Output/Makefile.am, configure.in:
	- Corrected OPenGL and nasm detection
	- Added a summary of configuration before make.

	* Output/X11/Attic/stretchblt.asm, Output/X11/Attic/stretchblt.nas, Output/X11/Makefile.am, Output/X11/stretchblt.S, Output/X11/x11_renderer.c, configure.in:
	- Integrated assembly hand-coded stretcher into X11 renderer (still needs some bug fixes ;)

	* src/skins_draw_buttons.c, src/skins_draw_controls.c, src/skins_draw_digits.c, src/skins_draw_main.c, src/skins_draw_playlist.c, src/skins_draw_titlebar.c, src/skins_pixmaps.h, src/xmps_skins.c, acconfig.h, configure.in:
	- Added --disable-gdk-pixbuf option for full non-GNOME build.
	- Added necessary #ifdefs in the code

	* src/xmps.h, Input/smpeg/Attic/variables.h, src/xmps.c:
	- Added a "Save Options now" item in main menu.

	* src/plugin.h, src/xmps.c, src/xmps_prefs.c, Input/smpeg/Attic/variables.h, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Input/smpeg/smpeg_config.c, Input/smpeg/smpeg_config.h:
	- Added automatic save of Codec-specific options (SMPEG for the moment)

2000-05-17  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Input/smpeg/Attic/variables.h, po/fi.po, po/fr.po, po/pl.po, po/sv.po:
	- Missed one files...

	* src/plugin.h, src/xmps_prefs.c, src/xmps_prefs.h, Output/X11/x11_renderer.c, po/fi.po, po/fr.po, po/pl.po, po/sv.po, Output/OpenGL/opengl_renderer.c, Output/SDL/sdl_renderer.c, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Input/smpeg/smpeg_config.c, Input/smpeg/smpeg_config.h, xmps.spec.in:
	- Last commit before release.

	* src/xmps.h, src/xmps_prefs.c, Output/X11/x11_renderer.c, src/plugin.h, src/xmps.c, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h:
	- added configure box to smpeg to choose audio driver.
	- fixed a bug in x11_renderer.c

	* Output/X11/Attic/stretchblt.asm:
	Added one missing file.

	* src/xmps.c, src/xmps.h, Input/smpeg/smpeg_codec.c, Output/SDL/sdl_renderer.c, acconfig.h, configure.in:
	- Fixed a bug in sdl_renderer causing a black screen with YUV overlays
	- Added #ifdef when popt.h not detected
	- Added X_LIBS for openGL compilation (necessary)

2000-05-16  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/SDL/sdl_renderer.c, po/fi.po, po/fr.po, po/pl.po, po/sv.po, Input/smpeg/smpeg_codec.c, configure.in:
	- Added #ifdef where needed for SDL YUV stuff since this is only available in CVS

	* debian/docs, src/xmps_playlist.h, configure.in:
	- Some finalisations (bug reports)
	- Added --disable-gnome option in configure.in

	* Output/X11/x11_renderer.c, src/xmps_prefs.c, Output/OpenGL/opengl_renderer.c, Output/OpenGL/opengl_renderer.h, Output/X11/Makefile.am, Output/X11/stretch.h, configure.in:
	- Added some missing files ;)
	- Terminated new Option dialog (almost)

	* Output/X11/Attic/stretchblt.nas, Output/X11/stretch.c, Output/X11/stretch.h:
	- Stretcher files

	* src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/Attic/stretch.c, src/Attic/stretch.h, src/Attic/stretchblt.asm, src/scanplugins.c, src/xmps.c, src/xmps_about.c, src/xmps_about.h, src/xmps_prefs.c, src/xmps_prefs.h, Output/SDL/sdl_renderer.h, Output/X11/Attic/xv.c, Output/X11/Attic/xv.h, Output/X11/Makefile.am, Output/X11/x11_renderer.c, Output/X11/x11_renderer.h, Output/Makefile.am, Output/OpenGL/Makefile.am, Output/OpenGL/opengl_renderer.c, Input/smpeg/smpeg_codec.c, acconfig.h, configure.in, xmps.spec.in:
	- Updated Options dialog with Codec/Renderer info.
	- Removed unusued files
	- Added assembly stretcher for X11 renderer
	- Tried to convert OpenGl renderer

2000-05-13  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Makefile.am, src/plugin.h, src/scanplugins.c, src/scanplugins.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_renderer.h, Output/X11/Attic/xv.c, Output/X11/Makefile.am, Output/X11/x11_renderer.c, Output/SDL/Makefile.am, Output/SDL/sdl_renderer.c, Input/smpeg/Attic/Makefile.in, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Input/Attic/Makefile.in, configure.in:
	- Removed hard coded stringd for plugins
	- Added Dynamic Generation of Renderers Radio Items Menu
	- Fixed a bug in scanplugins.c

2000-05-04  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Output/X11/Attic/xv.c, Output/X11/Attic/xv.h, Output/X11/Makefile.am, Output/X11/x11_renderer.c, Output/X11/x11_renderer.h, src/Makefile.am, src/plugin.h, src/scanplugins.c, src/scanplugins.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_renderer.c, src/xmps_renderer.h, Output/SDL/Makefile.am, Output/SDL/sdl_renderer.c, Output/SDL/sdl_renderer.h, Output/Makefile.am, Output/OpenGL/Makefile.am, Output/OpenGL/opengl_renderer.c, Input/Attic/Makefile.in, Input/smpeg/Attic/Makefile.in, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, Makefile.am, acconfig.h, configure.in:
	- Revisited Structure (Added support for libtoolized Ouput and Input plugins for more flexibility)

	- Still needs one more commit (later today) to be usable...

2000-04-14  Arkadiusz Mi¶kiewicz  <misiek@pld.org.pl>

	* configure.in: - fixed SMPEG_seek() checking

2000-04-04  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/Makefile.am, src/plugin.h, src/scanplugins.c, src/scanplugins.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_codec.c, src/xmps_codec.h, src/xmps_renderer.h, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h:
	- SMPEG Codec is working (no more SMPEG dependent code in src/, all of it is in /Input/smpeg/ ....)

	* src/Attic/xmps_support.h, src/xmps_codec.h, src/xmps_dir_browser.c, src/xmps_dir_browser.h, src/xmps_file_utils.h, src/xmps_graphics.h, src/xmps_install.h, src/xmps_playlist.c, src/xmps_playlist.h, src/xmps_renderer.h, src/xmps_skin_browser.h, src/xmps_skins.h, src/xmps_utils.h, po/fi.po, po/fr.po, po/pl.po, po/sv.po, src/Attic/sdl_renderer.c, src/plugin.h, src/scanplugins.c, src/scanplugins.h, src/skins_draw_buttons.h, src/skins_draw_controls.h, src/skins_draw_digits.h, src/skins_draw_main.h, src/skins_draw_playlist.h, src/skins_draw_titlebar.h, src/skins_pixmaps.h, src/types.h, src/xmps.h, src/xmps_codec.c, Input/Makefile.am, Input/smpeg/Makefile.am, Input/smpeg/smpeg_codec.c, Input/smpeg/smpeg_codec.h, debian/control, Makefile.am, configure.in:
	- Added framework for first plugin (smpeg)
	- Cleaned up the code

2000-03-25  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* acconfig.h, autogen.sh, configure.in, xmps.spec.in:
	- Since klocezk remains unreachable, I replaced gnome checking in configure.in by a test that _is_ working on my system (taken from pan).

	* po/fr.po, po/pl.po, po/sv.po, src/Attic/opengl_renderer.c, src/xmps.c, Makefile.am, debian/README.Debian, debian/changelog, debian/control, debian/copyright, debian/dirs, debian/docs, debian/files, debian/manpage.1.ex, debian/menu.ex, debian/postinst.ex, debian/postrm.ex, debian/preinst.ex, debian/prerm.ex, debian/rules, debian/substvars, debian/watch.ex:
	- Added bilinear filtering to opngl renderer to smooth images.
	- Added debian dir and files to build .deb packages.
	- Added "make deb" target to Makefile.am

2000-03-23  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, src/xmps.h:
	- Added SDL_AUDIODRIVER=esd in he case of GNOME support, otherwise audio would not work.

	* src/xmps.c, src/xmps.h, src/xmps_playlist.c, src/xmps_playlist.h:
	- Completely terminated playlist functions (randomize, multiple selection)

	* configure.in:
	Undoing accidental configure.in change.

	* src/xmps_playlist.h, configure.in, src/xmps_playlist.c:
	- Corrected a bug in playlist sorting functions that caused a segfault.

2000-03-22  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, acconfig.h, configure.in:
	Added test for SMPEG_seek in smpeg library for seeking in files.

	* src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/types.h, src/xmps.c, src/xmps_playlist.c, po/fr.po, po/pl.po, po/sv.po:
	Added experimental support for skipping (wait for another commit soon) before trying it since you need a special version od SMPEG.

2000-03-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* macros/gnome-gnorba-check.m4, macros/gnome-orbit-check.m4, macros/gnome-support.m4, macros/gnome.m4, macros/need-declaration.m4, Attic/gnome.m4, autogen.sh, configure.in:
	- finish handling --with-gnome configure switch:
	-- added macros subdirectory for aclocal macros,
	-- aitogen.sh uses "-I macros" on rebuilding aclocal.m4.

	* Makefile.am:
	- added $(desktop_DATA) $(Icon_DATA) to EXTRA_DIST (now make dist produces
	  tar ball with files listed in this variables).

2000-03-16  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, src/xmps.h, src/xmps_playlist.c:
	- Added #ifdef GNOME_SUPPORT where needed. So now you should be able to compile xmps without gnome.

	* src/skins_draw_playlist.c, src/xmps.c, src/xmps_playlist.c:
	- Corrected a well hiden bug that ddd found for me :) This bug was present since switching to gdk_pixbuf and caused xmps to crash when loading more file than the number that could be displayed on the playlist, and when scrolling the playlist items... (MAJOR BUG)

2000-03-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* Attic/gnome.m4:
	- gnome.m4 detecting macros from macros module from cvs.gnome.org (it is
	  still not povided and installed by any gnome package $#!?).

2000-03-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* xmps.spec.in: - added dektop file and icon to %files list.

	* Makefile.am: - added installing .desktop file and menu icon for xmps.

	* XMPS.desktop: - added Icon.

2000-03-15  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c, src/xmps_events.c, src/xmps_playlist.c:
	- Fixed a bug in the internal event queue causing xmps to crash when opening files. Also terminated playlist selection functions.

2000-03-14  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* XMPS.desktop, xmps.png:
	- Added GNOME .desktop file and basic png icon.

	* src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/skins_pixmaps.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_playlist.c, src/xmps_playlist.h, src/xmps_skins.c, skins/DarkDepth/config, skins/base_skin/config:
	A lot of changes for next release:

	- Centered the opengl playing window when it apears.
	- Added a rigth button click Gtk popup menu for SDL renderer, to control video.
	- Terminated the playlist functions (selections, sorting...).
	- Added GTK DRAG 'N DROP support.
	- Added basic GNOME support.
	- Added command line options using popt.

2000-03-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* xmps.spec.in: - added %attr(755,root,root) for binaries,
	- removed dumb "chown -R 0.0 *" from %install.

	* xmps.spec.in: - added full Source url,
	- added "Requires: gdk-pixbuf >= 0.6.0",
	- added passing LDFLAGS="-s" to ./configure enviroment (this produces
	  stripped binaries on linking and additional stripping in %instal is not
	  neccessary),
	- removed Packager field (this mus be placed in private ~/.rpmrc),
	- simplifications in %files.

2000-03-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/xmps_skin_browser.c:
	- replace hardcoded skins patch "/usr/local/xmps/skins" by SKIN_PATH.

2000-03-06  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps_skins.c:
	- Added SKIN_PATH prefix in xmps_skins.c

	* src/skins_draw_buttons.c, src/skins_draw_controls.c, src/skins_draw_digits.c, src/skins_draw_main.c, src/skins_draw_playlist.c, src/skins_draw_titlebar.c, src/skins_pixmaps.h, src/xmps.c, src/xmps_playlist.c, src/xmps_skins.c:
	- Switched from gdk to gdk_pixbuf drawing
	- Dynamic loading of pixmaps.
	- Reduced the binary size from 3 megs to 500 Ko :)

2000-03-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am:
	- added $(GDK_PIXBUF_CFLAGS) to INCLUDES and $(GDK_PIXBUF_LIBS) to
	  xmps_LDADD for use and link with gdk-pixbuf libraries xmps binary.

2000-03-06  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/sdl_renderer.c, src/xmps_skins.c, xmps.spec.in:
	- added one more #ifdef around asm code
	- new xmps.spec.in file

2000-03-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* skins/base_skin/Makefile.am, configure.in:
	- added checking for gdk-pixbuf library (added AM_PATH_GDK_PIXBUF),
	- added installing skins/base_skin skins files in
	  $(pkgdatadir)/skins/default.

2000-03-06  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/stretch.c, src/Attic/stretch.h, src/Attic/stretchblt.asm, Makefile.am, configure.in, src/Attic/sdl_renderer.c:
	- Added code files for a software image stretcher.

2000-03-03  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	- added AM_PROG_LIBTOOL (start prepare using libtool for building input
	  plugins).

2000-03-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: - first part pl translations.

	* configure.in: - added sv to ALL_LINGUAS.

2000-03-02  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Makefile.am, po/fr.po, po/sv.po:
	- Added swedish translation from Markus Gustavsson.

2000-03-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* AUTHORS: - typo in my name :)

2000-03-01  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* po/pl.po: - updated translations before make release.

2000-03-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* README, po/fr.po, po/pl.po, xmps.spec.in:
	- reverted to old URL (new site ins not redy now).

	* Makefile.am: - added $(xmps_splash_DATA) to EXTRA_DIST.

	* skins/DarkDepth/Makefile.am: - added $(DarkDepth_DATA) to EXTRA_DIST.

	* README, xmps.spec.in: - URL changed to http://xmps.pld.org.pl/.

2000-03-01  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* configure.in, po/fr.po, src/xmps_about.c:
	- Few details defore release :)

2000-03-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am: - typo.

2000-03-01  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/xmps.c:
	- Added add_pixmap_path to the new splash screen path...

2000-03-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am: - added passing -DPIXMAPS_PATH to CFLAGS.

	* configure.in, src/Makefile.am, src/skins_pixmaps.h, src/xmps.c:
	- skins handling finished.

	* skins/Makefile.am, skins/base_skin/digits.xpm, skins/base_skin/main.xpm, skins/base_skin/playlist.xpm, skins/base_skin/titlebar.xpm, skins/base_skin/Makefile.am, skins/base_skin/buttons.xpm, skins/base_skin/config, skins/base_skin/controls.xpm:
	- base_skin_2 moved to base_skin.

2000-02-29  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/opengl_renderer.c, src/xmps.c, AUTHORS, INSTALL, NEWS, TODO:
	- Fixed a bug in opengl_renderer.c
	- Added some content to distro files for 0.0.2

2000-02-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Attic/img/Attic/xmps_intro.xpm, Makefile.am, xmps_intro.xpm:
	- splash bitmap moved to project root directoty and also added automake
	  support for install this file in proper place.

	* src/Attic/base_skin_2/Attic/playlist.xpm, src/Attic/base_skin_2/Attic/titlebar.xpm, src/Attic/base_skin/Attic/buttons.xpm, src/Attic/base_skin/Attic/config, src/Attic/base_skin/Attic/controls.xpm, src/Attic/base_skin/Attic/digits.xpm, src/Attic/base_skin/Attic/main.xpm, src/Attic/base_skin/Attic/playlist.xpm, src/Attic/base_skin/Attic/titlebar.xpm, src/Attic/base_skin_2/Attic/buttons.xpm, src/Attic/base_skin_2/Attic/config, src/Attic/base_skin_2/Attic/controls.xpm, src/Attic/base_skin_2/Attic/digits.xpm, src/Attic/base_skin_2/Attic/main.xpm, skins/DarkDepth/Makefile.am, skins/DarkDepth/buttons.xpm, skins/DarkDepth/config, skins/DarkDepth/controls.xpm, skins/DarkDepth/digits.xpm, skins/DarkDepth/main.xpm, skins/DarkDepth/playlist.xpm, skins/DarkDepth/titlebar.xpm, skins/Makefile.am, Makefile.am:
	- moved all skins stuffs to skins directory and added automake support for
	  install them in proper place.

	* xmps.spec.in: - more work but still not finished yet.

2000-02-29  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/sdl_renderer.c, src/Attic/smpeg.h, src/Makefile.am, src/xmps_skins.c, configure.in, po/fr.po, po/pl.po:
	- Fixed a bug in sdl_renderer.c
	- Fixed some typos.

2000-02-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* acconfig.h: - s/undefine/undef/.

	* acconfig.h: - typo.

2000-02-29  Artur Frysiak  <wiget@pld.org.pl>

	* configure.in, src/Makefile.am: - macros name space cleanup :-)

	* Attic/xpms.spec.in, xmps.spec.in: - typo

	* Attic/xpms.spec.in, configure.in: - add templete spec

	* TODO: - make dist need this

	* po/ChangeLog: - make dist need this file

	* src/Makefile.am, configure.in, po/fr.po, po/pl.po:
	- fix including GL sources in xpms_SOURCES

2000-02-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am: - added missing $(GL_LIBS) to xmps_LDADD.

2000-02-29  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Makefile.am, src/xmps_install.c:
	* Fixed source list in src/Makefile.am and a bug in xmps_install.c

2000-02-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* Attic/Make.header: - not necessary now.

	* src/Makefile.am, Attic/Makefile.in, Makefile.am, configure.in:
	- seems autoconf/automake suit is finished.

	* Attic/config.h.in, acconfig.h:
	- removed config.h.in and added autoheader config file.

	* configure.in: - check for SDL >= 1.0.4.

2000-02-28  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/base_skin_2/Attic/colors.txt, src/Attic/base_skin_2/Attic/config, src/Attic/base_skin/Attic/config, src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c:
	** Added "config" files for the two base skins.

2000-02-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am:
	- startup makefile.am for xmps (not complet and must be finished agains
	  handling GL additionals).

	* configure.in: - added using AM_INIT_AUTOMAKE() macro,
	- start internationalization.

	* po/fr.po, po/pl.po:
	- template files for fr and pl translations for xmps.

	* configure.in:
	- removed "AC_CHECK_HEADER(SDL/SDL.h)" because AM_PATH_SDL() performs coplet
	  test for SDL (also for SDL/SDL.h header file).

2000-02-25  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/base_skin_2/Attic/playlist.xpm, src/Attic/base_skin_2/Attic/titlebar.xpm, src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/skins_draw_digits.c, src/skins_draw_playlist.c, src/skins_draw_playlist.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_events.h, src/xmps_file_utils.c, src/xmps_playlist.c, src/xmps_renderer.h, src/xmps_skin_browser.c, src/xmps_skins.c:
	** Terminated the OpenGL event polling and resize code, so now you can play a movie at any size, cool :)

	** Complete rewirte of the autoconf/automake stuff (thaks to Tomasz Kocsko)

	** Added a config file for skin, to set the fg, bg, font, etc... used in a skin. Made one for the DarkDepth skin.

	** XMPS now saves the skin when exiting and reloads it at startup.

	** Added focused/unfocused titlebars for main window and playlist. Added raise on click too.

2000-02-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: - added PACKAGE=xmps.

	* autogen.sh: - do not check is doc/ exist.

	* AUTHORS, INSTALL, NEWS: - added empty files required by automake.

2000-02-23  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* Attic/Makefile.in, src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/xmps.c, src/xmps.h, src/xmps_events.c, src/xmps_events.h, src/xmps_playlist.c, src/xmps_prefs.c, src/xmps_prefs.h:
	* Added a very simple internal event system (FIFO), so that parts of the application (the SDL or OpenGL window for example) can fire events (movie controls for the moment) to the main app. See the simple API in xmps_events.h.

2000-02-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* autogen.sh:
	- added detecting is gettext, libtool, automake, aclocal and autoconf is
	  neccessary on generating all files from raz cvs resources.

	* autogen.sh:
	- main script used for generating all files using only resources from CVS
	  repo.

	* README: - short information about xmps based on texts from home page.

	* po/POTFILES.in: - initial version files list for gettextize.

	* Attic/aclocal.m4, Attic/configure, Attic/install-sh:
	- removed autogenerated files.

2000-02-21  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/types.h, src/xmps.c, src/xmps.h, src/xmps_playlist.c, src/xmps_prefs.c, src/xmps_renderer.h, Attic/Makefile.in:
	* Finally put the SDL display on a separate window (much more easy to handle, more stable and better switching to fullscreen)

	* Replaced comboboxes by gtk_option_menu's in the option dialog (previous combo where editable!)

	* The app now saves playlist stuff in the config file (like whrether the playlist is toggled or not)

	* Added keybord control (space = pause, etc...)

	* Fixed a bug in configure.in for non-opengl build

	* Added #ifdef HAVE_OPENGL everywhere it was needed

2000-02-18  Damien Chavarria  <damien.chavarria@enst-bretagne.fr>

	* src/Attic/xmps_support.c:
	Added bin directory, needed for compilation but ommited by the commit sinc it is normally empty.

	* src/Attic/img/Attic/xmps_intro.xpm:
	Initial import of the source tree.


	* src/Attic/img/Attic/xmps_intro.xpm: New file.

	* src/Attic/base_skin_2/Attic/playlist.xpm, src/Attic/base_skin_2/Attic/titlebar.xpm:
	Initial import of the source tree.


	* src/Attic/base_skin_2/Attic/playlist.xpm, src/Attic/base_skin_2/Attic/titlebar.xpm:
	New file.

	* src/Attic/base_skin_2/Attic/controls.xpm, src/Attic/base_skin_2/Attic/digits.xpm, src/Attic/base_skin_2/Attic/main.xpm:
	Initial import of the source tree.


	* src/Attic/base_skin_2/Attic/controls.xpm, src/Attic/base_skin_2/Attic/digits.xpm, src/Attic/base_skin_2/Attic/main.xpm:
	New file.

	* src/Attic/base_skin/Attic/playlist.xpm, src/Attic/base_skin/Attic/titlebar.xpm, src/Attic/base_skin_2/Attic/buttons.xpm, src/Attic/base_skin_2/Attic/colors.txt:
	Initial import of the source tree.


	* src/Attic/base_skin/Attic/playlist.xpm, src/Attic/base_skin/Attic/titlebar.xpm, src/Attic/base_skin_2/Attic/buttons.xpm, src/Attic/base_skin_2/Attic/colors.txt:
	New file.

	* src/Attic/base_skin/Attic/main.xpm:
	Initial import of the source tree.


	* src/Attic/base_skin/Attic/main.xpm: New file.

	* src/Attic/base_skin/Attic/buttons.xpm, src/Attic/base_skin/Attic/controls.xpm, src/Attic/base_skin/Attic/digits.xpm, src/Attic/xmps_support.c, src/Attic/xmps_support.h, src/xmps_skin_browser.c, src/xmps_skin_browser.h, src/xmps_skins.c, src/xmps_skins.h, src/xmps_utils.c, src/xmps_utils.h:
	Initial import of the source tree.


	* src/Attic/base_skin/Attic/buttons.xpm, src/Attic/base_skin/Attic/controls.xpm, src/Attic/base_skin/Attic/digits.xpm, src/Attic/xmps_support.c, src/Attic/xmps_support.h, src/xmps_skin_browser.c, src/xmps_skin_browser.h, src/xmps_skins.c, src/xmps_skins.h, src/xmps_utils.c, src/xmps_utils.h:
	New file.

	* src/Attic/smpeg.h, src/Attic/xmps_config.c, src/Attic/xmps_config.h, src/skins_draw_titlebar.c, src/skins_draw_titlebar.h, src/skins_pixmaps.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_about.c, src/xmps_about.h, src/xmps_dir_browser.c, src/xmps_dir_browser.h, src/xmps_file_utils.c, src/xmps_file_utils.h, src/xmps_graphics.c, src/xmps_graphics.h, src/xmps_install.c, src/xmps_install.h, src/xmps_playlist.c, src/xmps_playlist.h, src/xmps_prefs.c, src/xmps_prefs.h, src/xmps_renderer.c, src/xmps_renderer.h:
	Initial import of the source tree.


	* src/Attic/smpeg.h, src/Attic/xmps_config.c, src/Attic/xmps_config.h, src/skins_draw_titlebar.c, src/skins_draw_titlebar.h, src/skins_pixmaps.h, src/types.h, src/xmps.c, src/xmps.h, src/xmps_about.c, src/xmps_about.h, src/xmps_dir_browser.c, src/xmps_dir_browser.h, src/xmps_file_utils.c, src/xmps_file_utils.h, src/xmps_graphics.c, src/xmps_graphics.h, src/xmps_install.c, src/xmps_install.h, src/xmps_playlist.c, src/xmps_playlist.h, src/xmps_prefs.c, src/xmps_prefs.h, src/xmps_renderer.c, src/xmps_renderer.h:
	New file.

	* Attic/Make.header, Attic/Makefile.in, Attic/aclocal.m4, Attic/config.h.in, Attic/configure, Attic/install-sh, COPYING, configure.in, src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/skins_draw_buttons.c, src/skins_draw_buttons.h, src/skins_draw_controls.c, src/skins_draw_controls.h, src/skins_draw_digits.c, src/skins_draw_digits.h, src/skins_draw_main.c, src/skins_draw_main.h, src/skins_draw_playlist.c, src/skins_draw_playlist.h:
	Initial import of the source tree.


	* Attic/Make.header, Attic/Makefile.in, Attic/aclocal.m4, Attic/config.h.in, Attic/configure, Attic/install-sh, COPYING, configure.in, src/Attic/opengl_renderer.c, src/Attic/sdl_renderer.c, src/skins_draw_buttons.c, src/skins_draw_buttons.h, src/skins_draw_controls.c, src/skins_draw_controls.h, src/skins_draw_digits.c, src/skins_draw_digits.h, src/skins_draw_main.c, src/skins_draw_main.h, src/skins_draw_playlist.c, src/skins_draw_playlist.h:
	New file.

